searchNodes=[{"doc":"Implements a Hush.Provider behaviour to resolve secrets from Google Secret Manager at runtime. To configure this provider, hush and hush_gcp_secret_manager. The configuration supplied to :hush_gcp_secret_manager.goth is in the same format as you would configure goth, as per https://github.com/peburrows/goth # config.exs config :hush , providers : [ Hush.Provider.GcpSecretManager ] config :hush_gcp_secret_manager , goth : [ name : MyApp.GothHush , source : ... ] , project_id : &quot;my_project_id&quot;","ref":"Hush.Provider.GcpSecretManager.html","title":"Hush.Provider.GcpSecretManager","type":"module"},{"doc":"This package provides a Hush Provider to resolve Google Cloud Platform's Secret Manager secrets. Documentation can be found at https://hexdocs.pm/hush_gcp_secret_manager .","ref":"readme.html","title":"GCP Secret Manager Hush Provider","type":"extras"},{"doc":"The package can be installed by adding hush_gcp_secret_manager to your list of dependencies in mix.exs : def deps do [ { :hush , &quot;~&gt; 1.0&quot; } , { :hush_gcp_secret_manager , &quot;~&gt; 1.0.1&quot; } ] end This module relies on goth to fetch secrets from the Google Cloud Platform API. As such you need to configure goth which is used in hush_gcp_secret_manager , the configuration is the same as if you were to configure a child_spec as per their documentation . As the provider needs to start both applications, it needs to registered as a provider in hush , so that it gets loaded during startup. # config/config.exs alias Hush.Provider.GcpSecretManager # ensure hush loads GcpSecretManager during startup config :hush , providers : [ GcpSecretManager ] config :hush_gcp_secret_manager , project_id : &quot;my_project_id&quot; , goth : [ name : MyApp.Goth , source : ... ] , goth_timeout : 5_000 # milliseconds GCP Authorization In order to retrieve secrets from GCP, ensure the service account you use has the Secret Manager Secret Accessor role ( roles/secretmanager.secretAccessor ).","ref":"readme.html#installation","title":"GCP Secret Manager Hush Provider - Installation","type":"extras"},{"doc":"The following example reads the password and the pool size for CloudSQL from secret manager into the ecto repo configuration. # config/prod.exs alias Hush.Provider.GcpSecretManager config :app , App.Repo , password : { :hush , GcpSecretManager , &quot;CLOUDSQL_PASSWORD&quot; } , pool_size : { :hush , GcpSecretManager , &quot;ECTO_POOL_SIZE&quot; , cast : :integer , default : 10 }","ref":"readme.html#usage","title":"GCP Secret Manager Hush Provider - Usage","type":"extras"},{"doc":"Hush is released under the Apache License 2.0 - see the LICENSE file.","ref":"readme.html#license","title":"GCP Secret Manager Hush Provider - License","type":"extras"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Configure Goth.fetch/2 timeout via configuration key :goth_timeout","ref":"changelog.html#v1-0-1","title":"Changelog - v1.0.1","type":"extras"},{"doc":"Upgrade Goth to ~&gt; 1.3 Switch http client from httpoison to finch (which is already bundled with goth) Upgrade hush to 1.0","ref":"changelog.html#v1-0-0","title":"Changelog - v1.0.0","type":"extras"},{"doc":"Bugfix: save application env when loading configuration in Provider mode.","ref":"changelog.html#v0-2-2","title":"Changelog - v0.2.2","type":"extras"},{"doc":"Relax version constraint on Hush to ~&gt; 0.2","ref":"changelog.html#v0-2-1","title":"Changelog - v0.2.1","type":"extras"},{"doc":"Support Hush v0.2.0","ref":"changelog.html#v0-2-0","title":"Changelog - v0.2.0","type":"extras"},{"doc":"Ensure ability to load config from parameter as well as runtime","ref":"changelog.html#v0-1-1","title":"Changelog - v0.1.1","type":"extras"},{"doc":"Announced public release","ref":"changelog.html#v0-1-0","title":"Changelog - v0.1.0","type":"extras"}]